Bug 129744 - Radeon driver (7000m) TVDAC output too high for DELL Server
Radeon driver (7000m) TVDAC output too high for DELL Server
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-08-12 09:26 EDT by Hui Yu
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-15 03:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hui Yu 2004-08-12 09:26:45 EDT
This is for Dell server using radeon 7000m. Radeon driver has benn 
updated to support the special configuration of Dell server. However 
Dell reports TVDAC output RGB signal is a bit too high, need to 
adjust RGB voltage from ~800mv to ~760mv. See patch below.

--- radeon_driver.c.orig	2004-08-11 11:50:27.000000000 -0400
+++ radeon_driver.c	2004-07-12 10:00:01.000000000 -0400
@@ -5723,7 +5723,7 @@
         save->disp_hw_debug |= RADEON_CRT2_DISP1_SEL;
         save->tv_dac_cntl &= ~((1<<2) | (3<<8) | (7<<24) | 
-        save->tv_dac_cntl |= (0x03 | (2<<8) | (0x28<<16));
+        save->tv_dac_cntl |= (0x03 | (2<<8) | (0x58<<16));
     RADEONTRACE(("Pitch = %d bytes (virtualX = %d, displayWidth = %d)
Comment 1 Amit Bhutani 2004-08-16 12:57:40 EDT
Can Red Hat confirm if this patch is going to be in U4 ?
Comment 2 Mike A. Harris 2004-08-18 08:35:54 EDT
The patch looks very safe to me.  It will be committed to our CVS
soon, and slated for RHEL3 U4.  The similar patch for RHEL 2.1
will be committed at the same time for the next 2.1 update too.

I'll update the status of the report once it's commited to CVS

Thanks for the patch Hui.
Comment 3 Mike A. Harris 2004-08-18 08:37:11 EDT
Hui)  Can you confirm also if this is commited to Xorg CVS for
the upcoming 6.8.0 release?  If it isn't, a bug should be filed
upstream there with a udiff that applies to CVS head, and CC
myself and Kevin on it, as the release is nearing quickly.

Thanks again!
Comment 4 Hui Yu 2004-08-18 09:00:16 EDT
It's in current xorg CVS head and will be in 6.8.0 release.
Thanks for merging this to your CVS.
Comment 5 Mike A. Harris 2004-08-21 09:49:15 EDT
No problem Hui!  Thanks again.
Comment 6 Mike A. Harris 2004-09-15 03:49:56 EDT
Patch updated in 4.3.0-69.EL build, which will be released as
erratum within the next few weeks.  Setting status to "ERRATA"
for pending erratum release.
Comment 7 Josh Bressers 2004-10-04 11:52:53 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.